Bug 978460 - Touch-screen input area spreads to non-touch screens
Touch-screen input area spreads to non-touch screens
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1051414
  Show dependency treegraph
 
Reported: 2013-06-26 12:31 EDT by Sten Turpin
Modified: 2015-02-17 10:42 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1051414 (view as bug list)
Environment:
Last Closed: 2015-02-17 10:42:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log including evdev output and hot plug of second screen (98.29 KB, text/plain)
2013-06-26 12:31 EDT, Sten Turpin
no flags Details
output of evemu-describe (3.04 KB, text/plain)
2013-07-11 18:05 EDT, Sten Turpin
no flags Details
output of evemu-record (340.82 KB, text/plain)
2013-07-11 18:05 EDT, Sten Turpin
no flags Details

  None (edit)
Description Sten Turpin 2013-06-26 12:31:02 EDT
Created attachment 765693 [details]
Xorg log including evdev output and hot plug of second screen

Description of problem: When a device with a touchscreen is attached to a non-touch capable screen, the width of the touchscreen is extended out to the edge of the non-touch-capable device


Version-Release number of selected component (if applicable): 2.8.0-1.fc19.x86_64


How reproducible: always


Steps to Reproduce:
1. Attach a second screen to a laptop/tablet with a touch screen 

Actual results:
Moving a pointer along the touchscreen horizontally causes the pointer to continue past the edge of the touchscreen and across the non-touch screen

Expected results:
Moving the pointer with the touchscreen should stop at the edge of the touchscreen

Additional info:
[ 82736.865] (II) XINPUT: Adding extended input device "Atmel Atmel maXTouch Digitizer" (type: TOUCHSCREEN, id 9)

Using a Dell XPS12, and an additional screen connected via Mini DisplayPort
Comment 1 Peter Hutterer 2013-06-27 23:50:13 EDT
device is type TOUCHSCREEN, but the actual binding to a single screen needs to be done by the client stack, i.e. gnome-settings-daemon on the default desktop.

Reassigning, I don't know off-heart if this is being implemented yet. it works on those devices supported by libwacom, but it's not yet generic and I suspect this device simply falls out of that set.

In any case, Sten, please record the device with evemu and attach the recordings here.
http://www.freedesktop.org/wiki/Evemu
Comment 2 Sten Turpin 2013-07-11 18:03:35 EDT
(In reply to Peter Hutterer from comment #1)
> device is type TOUCHSCREEN, but the actual binding to a single screen needs
> to be done by the client stack, i.e. gnome-settings-daemon on the default
> desktop.
> 
> Reassigning, I don't know off-heart if this is being implemented yet. it
> works on those devices supported by libwacom, but it's not yet generic and I
> suspect this device simply falls out of that set.
> 
> In any case, Sten, please record the device with evemu and attach the
> recordings here.
> http://www.freedesktop.org/wiki/Evemu

No events were recorded when the external monitor was plugged in (as is expected, since this is not an ev event)
Comment 3 Sten Turpin 2013-07-11 18:05:01 EDT
Created attachment 772453 [details]
output of evemu-describe
Comment 4 Sten Turpin 2013-07-11 18:05:39 EDT
Created attachment 772454 [details]
output of evemu-record
Comment 5 vijay 2014-11-23 23:47:48 EST
I am also having the same problem. Its not happening just in Gnome but also in Cinnamon and KDE.
Comment 6 Fedora End Of Life 2015-01-09 13:33:00 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 10:42:38 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.